import { TurboCISignupFormObject } from "@/src/types";
import useStatus from "@/twui/components/hooks/useStatus";
import { useState } from "react";

export default function useDeploymentUserForm() {
    const [newUser, setNewUser] = useState<TurboCISignupFormObject>({});
    const { loading, setLoading } = useStatus();
    const [isPasswordConfirmed, setIsPasswordConfirmed] = useState(false);

    return {
        newUser,
        setNewUser,
        loading,
        setLoading,
        isPasswordConfirmed,
        setIsPasswordConfirmed,
    };
}
